Page MenuHomePhabricator

Simplify access to Sherpa/Romeo information (e.g. via Dissemin)
Closed, ResolvedPublic

Description

https://dissem.in/ provides easy summaries of journal policies for each paper, taken from Sherpa/Romeo. Linking https://dissem.in/<DOI> for each suggestion would help users check the green open access status.

Event Timeline

Ocaasi_WMF triaged this task as Medium priority.May 30 2017, 5:36 PM
Ocaasi_WMF created this task.
This comment was removed by Samwalton9.
Nemo_bis renamed this task from Create autolink for Sherpa/Romeo results based on Title to Simplify access to Sherpa/Romeo information (e.g. via Dissemin).Nov 1 2017, 5:44 PM
Nemo_bis updated the task description. (Show Details)
Ocaasi_WMF raised the priority of this task from Medium to High.Nov 13 2017, 11:35 AM

Dissem.in already pulls info from Sherpa-Romeo. Can we re-use that code and for each suggestion place the sherpa-romeo information next to the url preview?

Dissemin can pull from the Sherpa/Romeo API.

For the example JSON change given above: https://dissem.in/api/10.1007/978-3-642-11602-5

policy: { "romeo_id": "74", "preprint": "can", "postprint": "can", "published": "cannot" }

Samwalton9 closed this task as Resolved.Nov 13 2017, 5:12 PM
Samwalton9 claimed this task.

We should probably provide more guidance on what the results mean, but this is done in https://github.com/dissemin/oabot/pull/26 and https://github.com/dissemin/oabot/pull/27!